Opened 4 weeks ago

Closed 4 weeks ago

#1346 closed defect (fixed)

Seagate ST2000NM0001 is not working correctly with smartctl

Reported by: RobotToaster44 Owned by:
Priority: minor Milestone: Release 7.2
Component: all Version: 7.1
Keywords: scsi Cc:

Description

It seems like the Seagate ST2000NMCLAR2000 doesn't display much SMART info.

Starting a test appears to work

root@openmediavault:~# smartctl -t short /dev/sdj
smartctl 7.1 2019-12-30 r5022 [x86_64-linux-5.4.44-1-pve] (local build)
Copyright (C) 2002-19, Bruce Allen, Christian Franke, www.smartmontools.org

Short Background Self Test has begun
Use smartctl -X to abort test

But smartctl -a does not show any self test results, and only shows

root@openmediavault:~# smartctl -a /dev/sdj
smartctl 7.1 2019-12-30 r5022 [x86_64-linux-5.4.44-1-pve] (local build)
Copyright (C) 2002-19, Bruce Allen, Christian Franke, www.smartmontools.org

=== START OF INFORMATION SECTION ===
Vendor:               SEAGATE
Product:              ST2000NMCLAR2000
Revision:             PS0C
Compliance:           SPC-3
User Capacity:        2,000,398,934,016 bytes [2.00 TB]
Logical block size:   512 bytes
Rotation Rate:        7200 rpm
Form Factor:          3.5 inches
Logical Unit id:      0x5000c5004206728f
Serial number:        Z1P36WBH    0000C2472NB6
Device type:          disk
Transport protocol:   SAS (SPL-3)
Local Time is:        Fri Jul  3 21:56:39 2020 BST
SMART support is:     Available - device has SMART capability.
SMART support is:     Enabled
Temperature Warning:  Disabled or Not Supported

=== START OF READ SMART DATA SECTION ===
SMART Health Status: OK
Current Drive Temperature:     0 C
Drive Trip Temperature:        0 C

Elements in grown defect list: 0

Error Counter logging not supported

Device does not support Self Test logging

I found a similar bug report here https://www.smartmontools.org/ticket/678?cversion=1&cnum_hist=7

so I ran sg_logs which returned this, which seems to indicate it does support temperature and self test logging

root@openmediavault:~# sg_logs -v /dev/sdj
    inquiry cdb: 12 00 00 00 24 00
    SEAGATE   ST2000NMCLAR2000  PS0C
    log sense cdb: 4d 00 40 00 00 00 00 00 04 00
    log sense cdb: 4d 00 40 00 00 00 00 00 14 00
Supported log pages  [0x0]:
    0x00        Supported log pages [sp]
    0x02        Write error [we]
    0x03        Read error [re]
    0x05        Verify error [ve]
    0x06        Non medium [nm]
    0x0d        Temperature [temp]
    0x0e        Start-stop cycle counter [sscc]
    0x0f        Application client [ac]
    0x10        Self test results [str]
    0x15        Background scan results [bsr]
    0x18        Protocol specific port [psp]
    0x1a        Power condition transitions [pct]
    0x37        Cache (seagate) [c_se]
    0x38
    0x3e        Factory (seagate) [f_se]

scsi_temperature also seems to work:

root@openmediavault:~# scsi_temperature /dev/sdj
sg_logs -t  /dev/sdj
    SEAGATE   ST2000NMCLAR2000  PS0C
  Current temperature = 34 C
  Reference temperature = 68 C

Change History (8)

comment:1 Changed 4 weeks ago by RobotToaster44

Summary: Seagate ST2000NMCLAR2000 is not working correctly with smartctlSeagate ST2000NM2000 is not working correctly with smartctl

comment:2 Changed 4 weeks ago by RobotToaster44

Summary: Seagate ST2000NM2000 is not working correctly with smartctlSeagate ST2000NM0001 is not working correctly with smartctl

comment:3 Changed 4 weeks ago by Christian Franke

Milestone: undecided

Possibly related: #1272, #1331.

comment:4 Changed 4 weeks ago by RobotToaster44

I just downgraded to 7.0 and it seems to work in that version,

root@openmediavault:~# smartctl -a /dev/sdf
smartctl 7.0 2018-12-30 r4883 [x86_64-linux-5.4.44-2-pve] (local build)
Copyright (C) 2002-18, Bruce Allen, Christian Franke, www.smartmontools.org

=== START OF INFORMATION SECTION ===
Vendor:               SEAGATE
Product:              ST2000NMCLAR2000
Revision:             PS11
Compliance:           SPC-3
User Capacity:        2,000,398,934,016 bytes [2.00 TB]
Logical block size:   512 bytes
Rotation Rate:        7200 rpm
Form Factor:          3.5 inches
Logical Unit id:      0x5000c50057bf8eb7
Serial number:        Z1P69STA    0000941525R8
Device type:          disk
Transport protocol:   SAS (SPL-3)
Local Time is:        Mon Jul  6 20:33:08 2020 BST
SMART support is:     Available - device has SMART capability.
SMART support is:     Enabled
Temperature Warning:  Disabled or Not Supported

=== START OF READ SMART DATA SECTION ===
SMART Health Status: OK

Current Drive Temperature:     37 C
Drive Trip Temperature:        68 C

Manufactured in week 46 of year 2013
Specified cycle count over device lifetime:  10000
Accumulated start-stop cycles:  72
Specified load-unload count over device lifetime:  300000
Accumulated load-unload cycles:  2328
Elements in grown defect list: 0

Vendor (Seagate Cache) information
  Blocks sent to initiator = 2105060855
  Blocks received from initiator = 1216870619
  Blocks read from cache and sent to initiator = 378420360
  Number of read and write commands whose size <= segment size = 173470107
  Number of read and write commands whose size > segment size = 0

Vendor (Seagate/Hitachi) factory information
  number of hours powered up = 54239.15
  number of minutes until next internal SMART test = 40

Error counter log:
           Errors Corrected by           Total   Correction     Gigabytes    Total
               ECC          rereads/    errors   algorithm      processed    uncorrected
           fast | delayed   rewrites  corrected  invocations   [10^9 bytes]  errors
read:   3810996308        0         0  3810996308          0      43086.787           0
write:         0        0         0         0          0      20818.999           0
verify: 2486214549        0         0  2486214549          0    1724613.791           0

Non-medium error count:        2

SMART Self-test log
Num  Test              Status                 segment  LifeTime  LBA_first_err [SK ASC ASQ]
     Description                              number   (hours)
# 1  Background long   Completed                   -   54238                 - [-   -    -]
# 2  Background short  Completed                   -   54171                 - [-   -    -]

Long (extended) Self-test duration: 6 seconds [0.1 minutes]

comment:5 Changed 4 weeks ago by Christian Franke

Please test r5074 if possible. See https://builds.smartmontools.org/ for source tarball and various binaries.

comment:6 Changed 4 weeks ago by RobotToaster44

That seems to have fixed it, thanks.

root@openmediavault:~/smartmontools-7.2# smartctl -a /dev/sdf
smartctl 7.2 2020-07-07 r5074 [x86_64-linux-5.4.44-2-pve] (local build)
Copyright (C) 2002-20, Bruce Allen, Christian Franke, www.smartmontools.org

=== START OF INFORMATION SECTION ===
Vendor:               SEAGATE
Product:              ST2000NMCLAR2000
Revision:             PS11
Compliance:           SPC-3
User Capacity:        2,000,398,934,016 bytes [2.00 TB]
Logical block size:   512 bytes
Rotation Rate:        7200 rpm
Form Factor:          3.5 inches
Logical Unit id:      0x5000c50057bf8eb7
Serial number:        Z1P69STA    0000941525R8
Device type:          disk
Transport protocol:   SAS (SPL-3)
Local Time is:        Tue Jul  7 21:53:45 2020 BST
SMART support is:     Available - device has SMART capability.
SMART support is:     Enabled
Temperature Warning:  Disabled or Not Supported

=== START OF READ SMART DATA SECTION ===
SMART Health Status: OK

Current Drive Temperature:     34 C
Drive Trip Temperature:        68 C

Manufactured in week 46 of year 2013
Specified cycle count over device lifetime:  10000
Accumulated start-stop cycles:  72
Specified load-unload count over device lifetime:  300000
Accumulated load-unload cycles:  2329
Elements in grown defect list: 0

Vendor (Seagate Cache) information
  Blocks sent to initiator = 2105060855
  Blocks received from initiator = 1222563623
  Blocks read from cache and sent to initiator = 378420360
  Number of read and write commands whose size <= segment size = 173470107
  Number of read and write commands whose size > segment size = 0

Vendor (Seagate/Hitachi) factory information
  number of hours powered up = 54264.70
  number of minutes until next internal SMART test = 8

Error counter log:
           Errors Corrected by           Total   Correction     Gigabytes    Total
               ECC          rereads/    errors   algorithm      processed    uncorrected
           fast | delayed   rewrites  corrected  invocations   [10^9 bytes]  errors
read:   3810996308        0         0  3810996308          0      43086.787           0
write:         0        0         0         0          0      20821.940           0
verify: 2486214549        0         0  2486214549          0    1724613.791           0

Non-medium error count:        2

SMART Self-test log
Num  Test              Status                 segment  LifeTime  LBA_first_err [SK ASC ASQ]
     Description                              number   (hours)
# 1  Background long   Completed                   -   54238                 - [-   -    -]
# 2  Background short  Completed                   -   54171                 - [-   -    -]

Long (extended) Self-test duration: 6 seconds [0.1 minutes]

comment:7 Changed 4 weeks ago by Christian Franke

Milestone: undecidedRelease 7.2

Fixed in r5074. Thanks for testing.

comment:8 Changed 4 weeks ago by Christian Franke

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.